monolog:
    handlers:
        # Log principal pour les erreurs uniquement (temporairement en debug)
        main:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
            formatter: monolog.formatter.json
            
        # Log des erreurs critiques vers un fichier séparé
        critical:
            type: stream
            path: "%kernel.logs_dir%/critical.log"
            level: critical
            formatter: monolog.formatter.json
            
        # Optionnel: Log vers syslog en production
        syslog:
            type: syslog
            level: error
            facility: local0
            ident: search-microservice
            
        # Rotation des logs
        rotating_file:
            type: rotating_file
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: error
            max_files: 30
            formatter: monolog.formatter.json